Start maintenance mode

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Starts maintenance mode of instances belonging to a Deployment Resource.

Path parameters

deployment_id string required

Identifier for the Deployment.

resource_kind string required

The kind of resource (one of elasticsearch, kibana, apm, or integrations_server).

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

instance_ids string[] required

A comma-separated list of instance identifiers.

Query parameters

ignore_missing boolean · default: false

If true and the instance does not exist then quietly proceed to the next instance, otherwise treated as an error.

Responses

The start maintenance command was issued successfully.

application/json
Base URL
https://api.elastic-cloud.com/api/v1